apiVersion: apps/v1
kind: Deployment
metadata:
  name: directus
  namespace: agepoly
  labels:
    app: directus
spec:
  replicas: 1
  selector:
    matchLabels:
      app: directus
  template:
    metadata:
      labels:
        app: directus
        sidecar.istio.io/inject: "true"
    spec:
      containers:
        - name: directus
          image: directus/directus:10.10.5
          imagePullPolicy: IfNotPresent

          # command: ["/bin/sh"]
          # args: ["-c", "sleep 999999"]

          env:
            # Directus
            - name: CORS_ENABLED
              value: "false"
            - name: WEBSOCKETS_ENABLED
              value: "true"
            - name: KEY
              valueFrom:
                secretKeyRef:
                  key: directus_key
                  name: directus-secrets
            - name: SECRET
              valueFrom:
                secretKeyRef:
                  key: directus_secret
                  name: directus-secrets
            - name: ADMIN_EMAIL
              valueFrom:
                secretKeyRef:
                  key: admin_email
                  name: directus-secrets
            - name: ADMIN_PASSWORD
              valueFrom:
                secretKeyRef:
                  key: admin_password
                  name: directus-secrets
            # Database
            - name: DB_CLIENT
              value: postgres
            - name: DB_HOST
              value: postgresql.agepoly
            - name: DB_PORT
              value: "5432"
            - name: DB_DATABASE
              value: directus
            - name: DB_USER
              valueFrom:
                secretKeyRef:
                  key: db_username
                  name: directus-secrets
            - name: DB_PASSWORD
              valueFrom:
                secretKeyRef:
                  key: db_password
                  name: directus-secrets
            # S3
            - name: STORAGE_LOCATIONS
              value: s3
            - name: STORAGE_S3_DRIVER
              value: s3
            - name: STORAGE_S3_BUCKET
              value: directus-uploads
            - name: STORAGE_S3_ENDPOINT
              value: http://minio1.minio
            - name: STORAGE_S3_REGION
              value: us-east-1 # minio default
            - name: STORAGE_S3_FORCE_PATH_STYLE
              value: "true"
            - name: STORAGE_S3_KEY
              valueFrom:
                secretKeyRef:
                  key: s3_key
                  name: directus-secrets
            - name: STORAGE_S3_SECRET
              valueFrom:
                secretKeyRef:
                  key: s3_secret
                  name: directus-secrets

          ports:
            - containerPort: 8055
              name: http
              protocol: TCP

          resources: {}
